﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "RRDADataAssetBase.h"
#include "ItemAmount.h"

#include "RRDABoilerDataAsset.generated.h"

UCLASS( BlueprintType )
class REFINEDRDAPI_API URRDABoilerDataAsset : public URRDADataAssetBase
{
	GENERATED_BODY()

public:
	/**
	 * Fuel item that this heater uses
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Boiler")
	FItemAmount mItem;
	
	/**
	 * What this boiler produces
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Boiler")
	FItemAmount mOutputItem;
};