﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "ItemAmount.h"
#include "RRDADataAssetBase.h"

#include "RRDACoolerDataAsset.generated.h"

UCLASS( BlueprintType )
class REFINEDRDAPI_API URRDACoolerDataAsset : public URRDADataAssetBase
{
	GENERATED_BODY()

public:
	/**
	 * Fuel item that this heater uses
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Cooler")
	FItemAmount mItem;
};